'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-27d0b57b.js');

const footerFirstItemCss = "";

const FooterFirstItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("div", null, index.h("span", { class: "foot-nav-link", onClick: () => this.clickOnMenu.emit({ place: 'footerItem', item: this.arr }) }, this.arr.name)));
    }
};
FooterFirstItem.style = footerFirstItemCss;

const footerWrapperCss = ".foot-nav-link-child{margin-left:15px;font-size:14px;font-weight:400}.footer-title-child{color:#39374d;font-size:16px;font-weight:500}";

const FooterWrapper = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h(FooterBlock, { title: this.footer.title, links: this.footer.links, name: this.footer.name, id: this.footer.id }));
    }
};
/**
 * Общая обертка для блока в подвале
 * */
const FooterBlock = (props) => {
    const { title, links, name } = props;
    const currentName = title ? title : name;
    return (index.h("div", null, index.h("div", { class: "footer-title" }, currentName), index.h("div", { class: "footer-item" }, index.h("div", null, index.h(FooterValue, { arr: links })))));
};
/**
 * решаем, который блок должен выходить в браузере - родоительский/дочерний (если есть)
 * */
const FooterValue = (props) => {
    return props.arr.map((item) => {
        if (item.links) {
            return (index.h(SubFooterBlock, { links: item.links, name: item.name }));
        }
        else {
            return index.h("footer-first-item", { arr: item });
        }
    });
};
/**
 * блок куда будет помещен дочерний блок
 * */
const SubFooterBlock = (props) => {
    return (index.h("div", null, index.h("div", { class: "footer-title" }, props.name), index.h("div", { onClick: () => undefined.clickOnMenu.emit() }, props.links.map((item) => {
        return (index.h("div", { onClick: () => undefined.clickOnMenu.emit({ place: 'footerItem', item: undefined.item }), class: "foot-nav-link" }, item.name));
    }))));
};
FooterWrapper.style = footerWrapperCss;

const menuItemCss = ".header-nav{-ms-flex-pack:justify;justify-content:space-between}.nav-link.header{cursor:pointer}";

const MenuItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("li", { class: "nav-item", onClick: () => this.clickOnMenu.emit(this.arr) }, index.h("a", { class: "nav-link header " }, this.arr.name)));
    }
};
MenuItem.style = menuItemCss;

const sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:10px;margin-top:5px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease;cursor:pointer}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";

const SSaqhanAppFooter = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row footer" }, index.h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, index.h("div", { class: "footer-info" }, this.footerInfo.title), index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, index.h("i", { class: "fab fa-youtube" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-instagram" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" }))))), index.h(FooterFirst, { footer: this.footerItems }), index.h("div", { class: "col-12 pt-5" }, index.h("div", { class: "choose-language text-muted small" }, index.h("i", { class: "fas fa-globe-africa" }), " Choose Language", index.h("br", null), index.h("a", { href: "/", class: "pr-3" }, "English (United Tates)"), index.h("a", { href: "/" }, "French"))))));
    }
};
const FooterFirst = (props) => {
    return props.footer.slice(0, 4).map((item) => {
        return (index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("footer-wrapper", { footer: item })));
    });
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;

const sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";

const SSaqhanAuthorInfo = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
};
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (index.h("div", { class: "content-text" }, index.h("hr", null), index.h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;

const sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}@media (max-width: 320px){.blog-img,.blog-card{width:100%}}";

const SSaqhanBlogCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    render() {
        return (index.h("div", { class: "blog-card" }, index.h("div", { class: "blog-img", style: { backgroundImage: `url( ${this.post.img})` }, onClick: () => this.clickOnNews.emit({ place: 'img', item: this.post }) }), index.h("div", { class: this.ColorCategory(this.post.category), onClick: () => this.clickOnCategoryNews.emit({ place: 'category', item: this.post }) }, this.post.category), index.h("div", { class: "blog-title pt-3 font-weight-bold", onClick: () => this.clickOnNews.emit({ place: 'title', item: this.post }) }, this.post.title), index.h("div", { class: "btn-read pt-3" }, index.h("span", { onClick: () => this.clickOnNews.emit({ place: 'btn-read', item: this.post }) }, " ", this.post.btnText, " "))));
    }
};
SSaqhanBlogCard.style = sSaqhanBlogCardCss;

const sSaqhanCardAuthorCss = ".author-sub{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.follow{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;font-size:12px;-ms-flex-pack:end;justify-content:flex-end;color:#c4c4c4}.soc-acc{margin-left:20px}.sub-auth{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.img{margin-right:30px;width:70px;height:70px;background-size:cover;border-radius:50%}.name{font-weight:600}.info{font-size:12px}";

const SSaqhanCardAuthor = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "row sub-auth" }, index.h("div", { class: "col" }, index.h("div", { class: "author-sub" }, index.h("div", { class: "img", style: { backgroundImage: 'url(' + this.author.img + ')' } }), index.h("div", { class: "author-info" }, index.h("div", { class: "name" }, this.author.firstName), index.h("div", { class: "info" }, this.author.position)))), index.h("div", { class: "col" }, index.h("div", { class: "follow" }, index.h("div", null, "Follow me on:"), index.h("div", { class: "soc-acc" }, index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" })))))))));
    }
};
SSaqhanCardAuthor.style = sSaqhanCardAuthorCss;

const sSaqhanCardBannerCss = ".banner-title{font-size:18px;font-weight:500}.banner-sub-title{margin:25px 0;font-size:14px;font-weight:500}.right-banner{position:relative;top:-70px}.right-banner img{border-radius:3px;position:relative;top:-20px;right:50px}.btn-read button{font-size:12px}.btn-black-line{width:110px;height:40px;margin-left:0px}@media (max-width: 414px){.banner{width:109%;text-align:center}.right-banner{display:none}}";

const SSaqhanCardBanner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "row banner" }, index.h("div", { class: "col" }), index.h("div", { class: "col-12 col-sm-5" }, index.h("div", { class: "banner-title" }, " ", this.bannerPost.title, " "), index.h("div", { class: "banner-sub-title" }, this.bannerPost.subTitle), index.h("div", { class: "btn-read" }, index.h("button", { class: "btn btn-primary btn-custom-head btn-black-line" }, this.bannerPost.btnText))), index.h("div", { class: "col-4 right-banner" }, index.h("img", { src: this.bannerPost.img, alt: "" }))));
    }
};
SSaqhanCardBanner.style = sSaqhanCardBannerCss;

const sSaqhanHeaderAppCss = ".logo-header{width:125px;height:30px;background-position:center;background-size:cover}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}.header-nav{-ms-flex-pack:justify;justify-content:space-between}.header-right{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}.nav-link.header{cursor:pointer}";

const SSaqhanHeaderApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * массив меню для вывода
         */
        this.menu = [];
        this.clickOnMenu = index.createEvent(this, "clickOnMenu", 7);
        this.clickOnSubscribeButton = index.createEvent(this, "clickOnSubscribeButton", 7);
        this.clickToLogo = index.createEvent(this, "clickToLogo", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("header", null, index.h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex " }, index.h("a", { onClick: () => {
                this.clickToLogo.emit();
            }, class: "navbar-brand logo-header", style: { backgroundImage: `url( ${this.logoUrl.img} )` } }), index.h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, index.h("span", { class: "navbar-toggler-icon" })), index.h("div", { class: "collapse navbar-collapse header-nav", id: "navbarSupportedContent" }, index.h("ul", { class: "navbar-nav " }, index.h(ItemLink, { arr: this.menu })), index.h("div", { class: "header-right" }, index.h("a", { href: "#", class: "pr-4" }, index.h("i", { class: "fas fa-search" })), index.h("form", { onSubmit: (event) => (event.preventDefault()), class: "form" }, index.h("div", { class: "input-group" }, index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { onClick: () => this.clickOnSubscribeButton.emit(), class: "btn btn-primary btn-custom-head" }, this.subscribeText))))))))))));
    }
};
const ItemLink = (props) => {
    return props.arr.map((item) => {
        return (index.h("menu-item", { arr: item }));
    });
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;

const sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";

const SSaqhanLineBook = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getBanner(arr) {
        return arr.map(item => item);
    }
    render() {
        return (index.h("div", null, index.h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
};
const Banner = (props) => {
    return (props.bannerPost.map(item => {
        return index.h("div", { class: "container" }, index.h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
SSaqhanLineBook.style = sSaqhanLineBookCss;

const sSaqhanNewBlogCss = "";

const SSaqhanNewBlog = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnNews = index.createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = index.createEvent(this, "clickOnCategoryNews", 7);
    }
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col-12" }, index.h("h1", { class: "font-weight-bold" }, "New Blog Post"))), index.h("div", { class: "row" }, index.h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
};
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return index.h("div", { class: "col-12 col-md-6 col-lg-4 " }, index.h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;

const sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";

const SSaqhanQuoteText = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: " col " }, index.h("div", { class: "quote-text" }, this.quoteText.text)))));
    }
};
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;

const sSaqhanSecondPageCss = "";

const SSaqhanSecondPage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", { menu: mock.menu, subscribeText: mock.subscribeText, logoUrl: mock.logoUrl }), index.h("second-title-block", { secondTitle: mock.secondTitle }), index.h("s-saqhan-line-book", { banner: mock.banner }), index.h("s-saqhan-quote-text", { quoteText: mock.quoteText }), index.h("s-saqhan-author-info", { author: mock.authors }), index.h("s-saqhan-subsc-banner", { subscribeText: mock.subscribeText, subscribeBlockText: mock.subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-new-blog", { blogPost: mock.blogPost }), index.h("s-saqhan-app-footer", { footerItems: mock.footerItems, footerInfo: mock.footerInfo })));
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
};
SSaqhanSecondPage.style = sSaqhanSecondPageCss;

const sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.btn-read-sub span{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read-sub span:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff;cursor:context-menu}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos span{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos span:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";

const SSaqhanSubscBanner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.clickOnSubscribeButton = index.createEvent(this, "clickOnSubscribeButton", 7);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, index.h("div", { class: "col-12 col-lg-6 left" }, index.h("div", { class: "sub-title" }, index.h("h1", null, " ", this.subscribeBlockText.title, " ")), index.h("div", { class: "subs-sub-title text-muted" }, this.subscribeBlockText.subTitle, index.h("span", { class: "btn-read-sub", onClick: () => this.clickOnSubscribeButton.emit({ place: 'See pricing', item: this.subscribeText }) }, index.h("span", null, " ", this.subscribeBlockText.nameLink)))), index.h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, index.h("div", { class: "col-12" }, index.h("form", { class: "form", onSubmit: (event) => event.preventDefault() }, index.h("div", { class: "input-group" }, index.h("i", { class: "fas fa-at" }), index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { onClick: () => this.clickOnSubscribeButton.emit({ place: 'btn-subscribe', item: this.subscribeText }), class: "btn btn-primary btn-custom-head", type: "submit" }, this.subscribeText))))), index.h("div", { class: "col-12" }, index.h("div", { class: "logos text-center text-muted pt-4" }, index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "far fa-address-book" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-paper-plane" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-envelope" })), index.h("span", { onClick: () => this.clickOnSubscribeButton.emit() }, index.h("i", { class: "fas fa-map-marked" }))))))));
    }
};
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;

const secondTitleBlockCss = ".title-wrapper{margin:50px 0px}.header-img-title{width:80%;margin:auto;min-height:500px;background-color:red;background-size:cover;background-position:center}.text-title{width:70%;margin:50px auto;text-align:justify}.second-category{color:#0f91e3;font-size:14px;font-weight:500;text-align:center;margin-bottom:30px}.second-title-news{font-size:24px;width:50%;margin:auto;text-align:center;font-weight:700;margin-bottom:30px}.second-title-author{font-size:13px;margin-bottom:30px;text-align:center}.second-title-author .name{font-weight:700}.second-title-author .date{color:#ccc}";

const SecondTitleBlock = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container title-wrapper" }, index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("div", { class: "second-category" }, this.secondTitle.category), index.h("div", { class: "second-title-news" }, this.secondTitle.title), index.h("div", { class: "second-title-author" }, index.h("div", { class: "name" }, this.secondTitle.authorName), index.h("div", { class: "date" }, this.secondTitle.date)))), index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("div", { class: "header-img-title", style: { backgroundImage: `url(${this.secondTitle.img})` } }))), index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("div", { class: "text-title" }, this.secondTitle.text)))));
    }
};
SecondTitleBlock.style = secondTitleBlockCss;

exports.footer_first_item = FooterFirstItem;
exports.footer_wrapper = FooterWrapper;
exports.menu_item = MenuItem;
exports.s_saqhan_app_footer = SSaqhanAppFooter;
exports.s_saqhan_author_info = SSaqhanAuthorInfo;
exports.s_saqhan_blog_card = SSaqhanBlogCard;
exports.s_saqhan_card_author = SSaqhanCardAuthor;
exports.s_saqhan_card_banner = SSaqhanCardBanner;
exports.s_saqhan_header_app = SSaqhanHeaderApp;
exports.s_saqhan_line_book = SSaqhanLineBook;
exports.s_saqhan_new_blog = SSaqhanNewBlog;
exports.s_saqhan_quote_text = SSaqhanQuoteText;
exports.s_saqhan_second_page = SSaqhanSecondPage;
exports.s_saqhan_subsc_banner = SSaqhanSubscBanner;
exports.second_title_block = SecondTitleBlock;
