import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';
import { f as footerItems, a as footerInfo, b as blogPost, s as subscribeText, c as subscribeBlockText, d as authors, q as quoteText, e as banner, g as secondTitle, m as menu, l as logoUrl } from './mock-ac8aa152.js';
var footerFirstItemCss = "";
var FooterFirstItem = /** @class */ (function () {
    function FooterFirstItem(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    FooterFirstItem.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("span", { class: "foot-nav-link", onClick: function () { return _this.clickOnMenu.emit({ place: 'footerItem', item: _this.arr }); } }, this.arr.name)));
    };
    return FooterFirstItem;
}());
FooterFirstItem.style = footerFirstItemCss;
var footerWrapperCss = ".foot-nav-link-child{margin-left:15px;font-size:14px;font-weight:400}.footer-title-child{color:#39374d;font-size:16px;font-weight:500}";
var FooterWrapper = /** @class */ (function () {
    function FooterWrapper(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    FooterWrapper.prototype.render = function () {
        return (h(FooterBlock, { title: this.footer.title, links: this.footer.links, name: this.footer.name, id: this.footer.id }));
    };
    return FooterWrapper;
}());
/**
 * Общая обертка для блока в подвале
 * */
var FooterBlock = function (props) {
    var title = props.title, links = props.links, name = props.name;
    var currentName = title ? title : name;
    return (h("div", null, h("div", { class: "footer-title" }, currentName), h("div", { class: "footer-item" }, h("div", null, h(FooterValue, { arr: links })))));
};
/**
 * решаем, который блок должен выходить в браузере - родоительский/дочерний (если есть)
 * */
var FooterValue = function (props) {
    return props.arr.map(function (item) {
        if (item.links) {
            return (h(SubFooterBlock, { links: item.links, name: item.name }));
        }
        else {
            return h("footer-first-item", { arr: item });
        }
    });
};
/**
 * блок куда будет помещен дочерний блок
 * */
var SubFooterBlock = function (props) {
    return (h("div", null, h("div", { class: "footer-title" }, props.name), h("div", { onClick: function () { return undefined.clickOnMenu.emit(); } }, props.links.map(function (item) {
        return (h("div", { onClick: function () { return undefined.clickOnMenu.emit({ place: 'footerItem', item: undefined.item }); }, class: "foot-nav-link" }, item.name));
    }))));
};
FooterWrapper.style = footerWrapperCss;
var menuItemCss = ".header-nav{-ms-flex-pack:justify;justify-content:space-between}.nav-link.header{cursor:pointer}";
var MenuItem = /** @class */ (function () {
    function MenuItem(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    MenuItem.prototype.render = function () {
        var _this = this;
        return (h("li", { class: "nav-item", onClick: function () { return _this.clickOnMenu.emit(_this.arr); } }, h("a", { class: "nav-link header " }, this.arr.name)));
    };
    return MenuItem;
}());
MenuItem.style = menuItemCss;
var sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:10px;margin-top:5px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease;cursor:pointer}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";
var SSaqhanAppFooter = /** @class */ (function () {
    function SSaqhanAppFooter(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
    }
    SSaqhanAppFooter.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row footer" }, h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, h("div", { class: "footer-info" }, this.footerInfo.title), h("div", { class: "footer-soc" }, h("div", { class: "template-demo" }, h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, h("i", { class: "fab fa-facebook-f" })), h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, h("i", { class: "fab fa-youtube" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-instagram" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-twitter" }))))), h(FooterFirst, { footer: this.footerItems }), h("div", { class: "col-12 pt-5" }, h("div", { class: "choose-language text-muted small" }, h("i", { class: "fas fa-globe-africa" }), " Choose Language", h("br", null), h("a", { href: "/", class: "pr-3" }, "English (United Tates)"), h("a", { href: "/" }, "French"))))));
    };
    return SSaqhanAppFooter;
}());
var FooterFirst = function (props) {
    return props.footer.slice(0, 4).map(function (item) {
        return (h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("footer-wrapper", { footer: item })));
    });
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;
var sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";
var SSaqhanAuthorInfo = /** @class */ (function () {
    function SSaqhanAuthorInfo(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanAuthorInfo.prototype.getAuthor = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanAuthorInfo.prototype.render = function () {
        return (h("div", { class: "container" }, h(CardAuthor, { author: this.getAuthor(this.author) })));
    };
    return SSaqhanAuthorInfo;
}());
var CardAuthor = function (props) {
    return props.author.map(function (item) {
        return (h("div", { class: "content-text" }, h("hr", null), h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;
var sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}@media (max-width: 320px){.blog-img,.blog-card{width:100%}}";
var SSaqhanBlogCard = /** @class */ (function () {
    function SSaqhanBlogCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanBlogCard.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url( " + this.post.img + ")" }, onClick: function () { return _this.clickOnNews.emit({ place: 'img', item: _this.post }); } }), h("div", { class: this.ColorCategory(this.post.category), onClick: function () { return _this.clickOnCategoryNews.emit({ place: 'category', item: _this.post }); } }, this.post.category), h("div", { class: "blog-title pt-3 font-weight-bold", onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.post }); } }, this.post.title), h("div", { class: "btn-read pt-3" }, h("span", { onClick: function () { return _this.clickOnNews.emit({ place: 'btn-read', item: _this.post }); } }, " ", this.post.btnText, " "))));
    };
    return SSaqhanBlogCard;
}());
SSaqhanBlogCard.style = sSaqhanBlogCardCss;
var sSaqhanCardAuthorCss = ".author-sub{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.follow{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;font-size:12px;-ms-flex-pack:end;justify-content:flex-end;color:#c4c4c4}.soc-acc{margin-left:20px}.sub-auth{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.img{margin-right:30px;width:70px;height:70px;background-size:cover;border-radius:50%}.name{font-weight:600}.info{font-size:12px}";
var SSaqhanCardAuthor = /** @class */ (function () {
    function SSaqhanCardAuthor(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanCardAuthor.prototype.render = function () {
        return (h("div", { class: "row sub-auth" }, h("div", { class: "col" }, h("div", { class: "author-sub" }, h("div", { class: "img", style: { backgroundImage: 'url(' + this.author.img + ')' } }), h("div", { class: "author-info" }, h("div", { class: "name" }, this.author.firstName), h("div", { class: "info" }, this.author.position)))), h("div", { class: "col" }, h("div", { class: "follow" }, h("div", null, "Follow me on:"), h("div", { class: "soc-acc" }, h("div", { class: "footer-soc" }, h("div", { class: "template-demo" }, h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, h("i", { class: "fab fa-facebook-f" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-twitter" })))))))));
    };
    return SSaqhanCardAuthor;
}());
SSaqhanCardAuthor.style = sSaqhanCardAuthorCss;
var sSaqhanCardBannerCss = ".banner-title{font-size:18px;font-weight:500}.banner-sub-title{margin:25px 0;font-size:14px;font-weight:500}.right-banner{position:relative;top:-70px}.right-banner img{border-radius:3px;position:relative;top:-20px;right:50px}.btn-read button{font-size:12px}.btn-black-line{width:110px;height:40px;margin-left:0px}@media (max-width: 414px){.banner{width:109%;text-align:center}.right-banner{display:none}}";
var SSaqhanCardBanner = /** @class */ (function () {
    function SSaqhanCardBanner(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanCardBanner.prototype.render = function () {
        return (h("div", { class: "row banner" }, h("div", { class: "col" }), h("div", { class: "col-12 col-sm-5" }, h("div", { class: "banner-title" }, " ", this.bannerPost.title, " "), h("div", { class: "banner-sub-title" }, this.bannerPost.subTitle), h("div", { class: "btn-read" }, h("button", { class: "btn btn-primary btn-custom-head btn-black-line" }, this.bannerPost.btnText))), h("div", { class: "col-4 right-banner" }, h("img", { src: this.bannerPost.img, alt: "" }))));
    };
    return SSaqhanCardBanner;
}());
SSaqhanCardBanner.style = sSaqhanCardBannerCss;
var sSaqhanHeaderAppCss = ".logo-header{width:125px;height:30px;background-position:center;background-size:cover}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}.header-nav{-ms-flex-pack:justify;justify-content:space-between}.header-right{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}.nav-link.header{cursor:pointer}";
var SSaqhanHeaderApp = /** @class */ (function () {
    function SSaqhanHeaderApp(hostRef) {
        registerInstance(this, hostRef);
        /**
         * массив меню для вывода
         */
        this.menu = [];
        this.clickOnMenu = createEvent(this, "clickOnMenu", 7);
        this.clickOnSubscribeButton = createEvent(this, "clickOnSubscribeButton", 7);
        this.clickToLogo = createEvent(this, "clickToLogo", 7);
    }
    SSaqhanHeaderApp.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col" }, h("header", null, h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex " }, h("a", { onClick: function () {
                _this.clickToLogo.emit();
            }, class: "navbar-brand logo-header", style: { backgroundImage: "url( " + this.logoUrl.img + " )" } }), h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, h("span", { class: "navbar-toggler-icon" })), h("div", { class: "collapse navbar-collapse header-nav", id: "navbarSupportedContent" }, h("ul", { class: "navbar-nav " }, h(ItemLink, { arr: this.menu })), h("div", { class: "header-right" }, h("a", { href: "#", class: "pr-4" }, h("i", { class: "fas fa-search" })), h("form", { onSubmit: function (event) { return (event.preventDefault()); }, class: "form" }, h("div", { class: "input-group" }, h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { onClick: function () { return _this.clickOnSubscribeButton.emit(); }, class: "btn btn-primary btn-custom-head" }, this.subscribeText))))))))))));
    };
    return SSaqhanHeaderApp;
}());
var ItemLink = function (props) {
    return props.arr.map(function (item) {
        return (h("menu-item", { arr: item }));
    });
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;
var sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";
var SSaqhanLineBook = /** @class */ (function () {
    function SSaqhanLineBook(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanLineBook.prototype.getBanner = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanLineBook.prototype.render = function () {
        return (h("div", null, h(Banner, { bannerPost: this.getBanner(this.banner) })));
    };
    return SSaqhanLineBook;
}());
var Banner = function (props) {
    return (props.bannerPost.map(function (item) {
        return h("div", { class: "container" }, h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
SSaqhanLineBook.style = sSaqhanLineBookCss;
var sSaqhanNewBlogCss = "";
var SSaqhanNewBlog = /** @class */ (function () {
    function SSaqhanNewBlog(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanNewBlog.prototype.getNewPosts = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanNewBlog.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold" }, "New Blog Post"))), h("div", { class: "row" }, h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    };
    return SSaqhanNewBlog;
}());
var NewPostCard = function (props) {
    return (props.post.map(function (item) {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " }, h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;
var sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";
var SSaqhanQuoteText = /** @class */ (function () {
    function SSaqhanQuoteText(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanQuoteText.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: " col " }, h("div", { class: "quote-text" }, this.quoteText.text)))));
    };
    return SSaqhanQuoteText;
}());
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;
var sSaqhanSecondPageCss = "";
var SSaqhanSecondPage = /** @class */ (function () {
    function SSaqhanSecondPage(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanSecondPage.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl }), h("second-title-block", { secondTitle: secondTitle }), h("s-saqhan-line-book", { banner: banner }), h("s-saqhan-quote-text", { quoteText: quoteText }), h("s-saqhan-author-info", { author: authors }), h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-new-blog", { blogPost: blogPost }), h("s-saqhan-app-footer", { footerItems: footerItems, footerInfo: footerInfo })));
    };
    /**
     *  Клик по кнопке подписаться
     * */
    SSaqhanSecondPage.prototype.clickOnSubscribeButton = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    return SSaqhanSecondPage;
}());
SSaqhanSecondPage.style = sSaqhanSecondPageCss;
var sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.btn-read-sub span{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read-sub span:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff;cursor:context-menu}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos span{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos span:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";
var SSaqhanSubscBanner = /** @class */ (function () {
    function SSaqhanSubscBanner(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnSubscribeButton = createEvent(this, "clickOnSubscribeButton", 7);
    }
    SSaqhanSubscBanner.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, h("div", { class: "col-12 col-lg-6 left" }, h("div", { class: "sub-title" }, h("h1", null, " ", this.subscribeBlockText.title, " ")), h("div", { class: "subs-sub-title text-muted" }, this.subscribeBlockText.subTitle, h("span", { class: "btn-read-sub", onClick: function () { return _this.clickOnSubscribeButton.emit({ place: 'See pricing', item: _this.subscribeText }); } }, h("span", null, " ", this.subscribeBlockText.nameLink)))), h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, h("div", { class: "col-12" }, h("form", { class: "form", onSubmit: function (event) { return event.preventDefault(); } }, h("div", { class: "input-group" }, h("i", { class: "fas fa-at" }), h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { onClick: function () { return _this.clickOnSubscribeButton.emit({ place: 'btn-subscribe', item: _this.subscribeText }); }, class: "btn btn-primary btn-custom-head", type: "submit" }, this.subscribeText))))), h("div", { class: "col-12" }, h("div", { class: "logos text-center text-muted pt-4" }, h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "far fa-address-book" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-paper-plane" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-envelope" })), h("span", { onClick: function () { return _this.clickOnSubscribeButton.emit(); } }, h("i", { class: "fas fa-map-marked" }))))))));
    };
    return SSaqhanSubscBanner;
}());
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;
var secondTitleBlockCss = ".title-wrapper{margin:50px 0px}.header-img-title{width:80%;margin:auto;min-height:500px;background-color:red;background-size:cover;background-position:center}.text-title{width:70%;margin:50px auto;text-align:justify}.second-category{color:#0f91e3;font-size:14px;font-weight:500;text-align:center;margin-bottom:30px}.second-title-news{font-size:24px;width:50%;margin:auto;text-align:center;font-weight:700;margin-bottom:30px}.second-title-author{font-size:13px;margin-bottom:30px;text-align:center}.second-title-author .name{font-weight:700}.second-title-author .date{color:#ccc}";
var SecondTitleBlock = /** @class */ (function () {
    function SecondTitleBlock(hostRef) {
        registerInstance(this, hostRef);
    }
    SecondTitleBlock.prototype.render = function () {
        return (h("div", { class: "container title-wrapper" }, h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "second-category" }, this.secondTitle.category), h("div", { class: "second-title-news" }, this.secondTitle.title), h("div", { class: "second-title-author" }, h("div", { class: "name" }, this.secondTitle.authorName), h("div", { class: "date" }, this.secondTitle.date)))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "header-img-title", style: { backgroundImage: "url(" + this.secondTitle.img + ")" } }))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "text-title" }, this.secondTitle.text)))));
    };
    return SecondTitleBlock;
}());
SecondTitleBlock.style = secondTitleBlockCss;
export { FooterFirstItem as footer_first_item, FooterWrapper as footer_wrapper, MenuItem as menu_item, SSaqhanAppFooter as s_saqhan_app_footer, SSaqhanAuthorInfo as s_saqhan_author_info, SSaqhanBlogCard as s_saqhan_blog_card, SSaqhanCardAuthor as s_saqhan_card_author, SSaqhanCardBanner as s_saqhan_card_banner, SSaqhanHeaderApp as s_saqhan_header_app, SSaqhanLineBook as s_saqhan_line_book, SSaqhanNewBlog as s_saqhan_new_blog, SSaqhanQuoteText as s_saqhan_quote_text, SSaqhanSecondPage as s_saqhan_second_page, SSaqhanSubscBanner as s_saqhan_subsc_banner, SecondTitleBlock as second_title_block };
