import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';
import { n as messages, o as mainUser } from './mock-ac8aa152.js';
var sSaqhanChatAppCss = ".wrapper-modal{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end;-ms-flex-direction:column;flex-direction:column;position:fixed;top:2%;right:2%;z-index:999}.btn-open{width:60px;height:60px;font-size:24px;border:none;background-color:#72b94d;color:#fff;border-radius:50%;outline:none !important;cursor:pointer}.open-chat{text-align:right;z-index:999;position:fixed;right:10px;bottom:20px}.open-chat::after{content:\"1\";background-color:#c73f45;position:relative;top:-25px;left:-20px;color:#fff;font-size:12px;padding:5px 10px;border-radius:50%}.message{font-size:14px;height:21px;overflow:hidden;width:260px;margin-top:5px;white-space:nowrap;cursor:pointer}.user{display:-ms-flexbox;display:flex;cursor:pointer;-ms-flex-align:end;align-items:flex-end}.user-img{width:20%;margin:auto}.user-img .img{width:43px;height:43px;border-radius:50%;background-size:cover;margin:auto}.user-info{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;width:90%}.user-info .name{font-weight:500;font-size:13px}::-webkit-scrollbar{width:5px}::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.3);-webkit-border-radius:5px;border-radius:3px}::-webkit-scrollbar-thumb{-webkit-border-radius:10px;border-radius:10px;background:rgba(108, 108, 108, 0.8);-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.5)}::-webkit-scrollbar-thumb:window-inactive{background:rgba(106, 106, 106, 0.4)}@media (max-width: 414px){.wrapper-modal{top:0%;right:0%;max-width:414px}.wrapper-chat{width:414px}.personal-messages{height:80vh}.users{height:80vh}}@media (max-width: 375px){.wrapper-chat{max-width:375px;padding-right:0px}.users{padding:0px 10px}.new-mess{right:12%}}@media (max-width: 320px){.wrapper-chat{max-width:320px}.chat-header a{right:25%}.wrapper-chat{height:110vh}.message-date{font-size:11px}.users{padding:0px 25px}.personal-messages{padding:0 10px}}";
var SSaqhanChatApp = /** @class */ (function () {
    function SSaqhanChatApp(hostRef) {
        registerInstance(this, hostRef);
        this.showContent = "users";
        this.close = createEvent(this, "close", 7);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
        this.selectUsers = createEvent(this, "selectUsers", 7);
        this.selectFiles = createEvent(this, "selectFiles", 7);
    }
    SSaqhanChatApp.prototype.isShowChat = function () {
        this.showChat = !this.showChat;
    };
    SSaqhanChatApp.prototype.onClose = function () {
        this.showChat = false;
    };
    SSaqhanChatApp.prototype.onSelectPersonal = function () {
        return this.showContent = 'personal';
    };
    SSaqhanChatApp.prototype.onSelectUsers = function () {
        return this.showContent = 'users';
    };
    SSaqhanChatApp.prototype.onSelectFiles = function () {
        return this.showContent = 'files';
    };
    SSaqhanChatApp.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "wrapper-modal" }, this.showChat ? (h("s-saqhan-chat-wrapper", { messages: messages, mainUser: mainUser, onSelectPersonal: function () { return _this.onSelectPersonal(); }, onSelectUsers: function () { return _this.onSelectUsers(); }, onSelectFiles: function () { return _this.onSelectFiles(); }, onClose: function () { return _this.onClose(); }, showContent: this.showContent })) : (""), h("div", { class: "btn-wrapper" }, h("div", { class: "open-chat" }, h("button", { onClick: function () { return _this.isShowChat(); }, class: "btn-open" }, h("span", null, this.showChat ? (h("i", { class: "fas fa-times" })) : (h("i", { class: "far fa-comment-dots" }))))))));
    };
    return SSaqhanChatApp;
}());
SSaqhanChatApp.style = sSaqhanChatAppCss;
var sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";
var SSaqhanEventsBlog = /** @class */ (function () {
    function SSaqhanEventsBlog(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    SSaqhanEventsBlog.prototype.getEvents = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanEventsBlog.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: " pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), h("div", { class: "row" }, h(EventsPost, { event: this.getEvents(this.events) })))));
    };
    return SSaqhanEventsBlog;
}());
var EventsPost = function (props) {
    return props.event.map(function (item) {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" }, h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;
var sSaqhanFirstSliderCss = "";
var SSaqhanFirstSlider = /** @class */ (function () {
    function SSaqhanFirstSlider(hostRef) {
        registerInstance(this, hostRef);
        /**
         * массив новостей для вывода
         */
        this.blogCarouselMock = [];
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    /**
     * Фильтруем для главной новости
     * */
    SSaqhanFirstSlider.prototype.mainNews = function (arr) {
        return (arr.filter(function (item) { return item.main; }) || []).slice(-1);
    };
    SSaqhanFirstSlider.prototype.lentaNews = function (arr) {
        return arr
            .filter(function (item) { return item.lenta; })
            .slice(-4)
            .reverse();
    };
    SSaqhanFirstSlider.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12 col-lg-7" }, h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), h("div", { class: "col-12 col-lg-5" }, h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    };
    return SSaqhanFirstSlider;
}());
/**
 * Компонентная функция для главной новости
 * */
var MainNews = function (props) {
    return props.arr.map(function (item) {
        return h("s-saqhan-main-news-card", { mainNews: item });
    });
};
/**
 * Компонентная функция для ленты новостей
 * */
//лента новостей
var LentaNews = function (props) {
    return props.lenta.map(function (item) {
        return (h("s-saqhan-lenta-news-card", { lentaNews: item }));
    });
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;
var sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;-ms-flex-direction:column;flex-direction:column}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";
var SSaqhanPopularNews = /** @class */ (function () {
    function SSaqhanPopularNews(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
    }
    SSaqhanPopularNews.prototype.getPopularNews = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanPopularNews.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), h("div", { class: "col-12 col-lg-7" }, h("div", { class: "cards-popular" }, h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner", style: { backgroundImage: "url(" + this.bannerPopular.img + ")" } }, h("div", { class: "banner-title text-center text-white", onClick: function () { return _this.clickOnNews.emit({ place: 'title', item: _this.bannerPopular }); } }, this.bannerPopular.title), h("div", { class: "btn-read pt-3", onClick: function () { return _this.clickOnNews.emit({ place: 'btn-read', item: _this.bannerPopular }); } }, h("span", null, this.bannerPopular.nameLink))))));
    };
    return SSaqhanPopularNews;
}());
var CardPopular = function (props) {
    return (props.post.map(function (item) {
        return h("s-saqhan-popular-card", { post: item });
    }));
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;
export { SSaqhanChatApp as s_saqhan_chat_app, SSaqhanEventsBlog as s_saqhan_events_blog, SSaqhanFirstSlider as s_saqhan_first_slider, SSaqhanPopularNews as s_saqhan_popular_news };
