import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';

const sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;background-position:center;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}@media (max-width: 320px){.blog-img{width:100%}}";

const SSaqhanEventCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
        this.clickOnNews = createEvent(this, "clickOnNews", 7);
        this.clickOnCategoryNews = createEvent(this, "clickOnCategoryNews", 7);
    }
    render() {
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.event.img + ")" }, onClick: () => this.clickOnNews.emit({ place: 'img', item: this.event }) }, h("span", { class: !this.event.date ? 'no-date' : 'date-event' }, " ", this.event.date, " ")), h("div", { class: this.ColorCategory(this.event.category), onClick: () => this.clickOnCategoryNews.emit({ place: 'category', item: this.event }) }, this.event.category), h("div", { class: "blog-title pt-3 font-weight-bold", onClick: () => this.clickOnNews.emit({ place: 'title', item: this.event }) }, this.event.title), h("div", { class: "btn-read pt-3", onClick: () => this.clickOnNews.emit({ place: 'btn-read', item: this.event }) }, h("span", null, " ", this.event.btnText, " "))));
    }
};
SSaqhanEventCard.style = sSaqhanEventCardCss;

export { SSaqhanEventCard as s_saqhan_event_card };
